#include <bits/stdc++.h>
#define int long long

using namespace std;

main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n , t , x;
    cin>>n>>t;
    bool b = true;
    //vector<int> v(n);
    for (int i = 1; i<n+1; i++){
        cin>>x;
        if (b && x <= t){
            cout<<i;
            b = false;
        }
    }

    if (b){
        cout<<"-1";
    }

    return 0;
}